POSTaggerCrossValidatorTool (Apache OpenNLP Tools 2.5.9 API)
Description: declaration: package: opennlp.tools.cmdline.postag, class: POSTaggerCrossValidatorTool

# Class POSTaggerCrossValidatorTool

java.lang.Object
opennlp.tools.cmdline.CmdLineTool
opennlp.tools.cmdline.TypedCmdLineTool<POSSample, opennlp.tools.cmdline.postag.POSTaggerCrossValidatorTool.CVToolParams>
opennlp.tools.cmdline.AbstractTypedParamTool<POSSample, opennlp.tools.cmdline.postag.POSTaggerCrossValidatorTool.CVToolParams>
opennlp.tools.cmdline.AbstractEvaluatorTool<POSSample, opennlp.tools.cmdline.postag.POSTaggerCrossValidatorTool.CVToolParams>
opennlp.tools.cmdline.AbstractTrainerTool<POSSample, opennlp.tools.cmdline.postag.POSTaggerCrossValidatorTool.CVToolParams>
opennlp.tools.cmdline.AbstractCrossValidatorTool<POSSample, opennlp.tools.cmdline.postag.POSTaggerCrossValidatorTool.CVToolParams>
opennlp.tools.cmdline.postag.POSTaggerCrossValidatorTool

public final class POSTaggerCrossValidatorTool extends opennlp.tools.cmdline.AbstractCrossValidatorTool<POSSample, opennlp.tools.cmdline.postag.POSTaggerCrossValidatorTool.CVToolParams>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `POSTaggerCrossValidatorTool()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getShortDescription()`
  `void`
  `run(String format, String[] args)`
  Executes the tool with the given parameters.

  ### Methods inherited from class opennlp.tools.cmdline.AbstractTypedParamTool

  `getHelp`

  ### Methods inherited from class opennlp.tools.cmdline.TypedCmdLineTool

  `getHelp`

  ### Methods inherited from class opennlp.tools.cmdline.CmdLineTool

  `getName, hasParams`

  ### Methods inherited from class Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### POSTaggerCrossValidatorTool

    public POSTaggerCrossValidatorTool()

- ## Method Details

  - ### getShortDescription

    public String getShortDescription()
    Overrides:
      `getShortDescription` in class `opennlp.tools.cmdline.CmdLineTool`
    Returns:
      Retrieves a short description of what the tool does

  - ### run

    public void run(String format, String[] args)
    Description copied from class: `opennlp.tools.cmdline.TypedCmdLineTool`
    Executes the tool with the given parameters.
    Overrides:
      `run` in class `opennlp.tools.cmdline.AbstractEvaluatorTool<POSSample, opennlp.tools.cmdline.postag.POSTaggerCrossValidatorTool.CVToolParams>`
    Parameters:
      `format` - format to work with
      `args` - command line arguments